<template>
  <div>
    <!-- Historique des commandes -->
    <div v-if="action == 'commandes'">
      <h4 class="mb-4">Historique de vos commandes</h4>
      <vue-simple-spinner v-if="pending === true"></vue-simple-spinner>
      <div v-if="pending === false">
        <h5 v-if="!allPaiements.data.length" class="mb-4">Vous n'avez pas encore de commandes</h5>
        <table class="recap-table">
          <thead>
          <tr>
            <th>N° transaction</th>
            <th>Date</th>
            <th>Prix total</th>
            <th>Frais de port</th>
            <th>État de la commande</th>
            <th>Détail de la facture</th>
            <th>Nous contacter</th>
            <th>Suivre le colis</th>
          </tr>
          </thead>
          <tbody>
          <tr v-for="(paiement, index) in allPaiements.data" :key="paiement.reference" class="tr-responsive">
            <td data-label="N° transaction">{{paiement.reference}}</td>
            <td data-label="Date">{{paiement.created_at}}</td>
            <td data-label="Prix total">{{paiement.data.cart.totalTTC}} €</td>
            <td data-label="Frais de port">{{paiement.data.cart.delivery.cost}} €</td>
            <td data-label="État de la commande">{{ paiement.status === "pending" ? "Paiement en attente" : (paiement.status === "accepted") ? "Paiement accepté" : (paiement.status === "refused") ? "Paiement refusé" : " - " }}</td>
            <td data-label="Détail de la facture">
              <router-link :to="{ path: 'compte-client', query: { action: 'detail-commande', id: index }}">
                <font-awesome-icon icon="search-plus" />
              </router-link>
              <!-- <a href=""><font-awesome-icon icon="search-plus"/></a> -->
            </td>
            <td data-label="Nous contacter">
              <a href=""><font-awesome-icon icon="envelope"/></a>
            </td>
            <td data-label="Suivre le colis">-</td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>

    <div v-if="action == 'detail-commande'">
      <vue-simple-spinner v-if="pending === true"></vue-simple-spinner>
      <div v-if="pending === false">
        <h4 class="mb-4">Commande <small>n°{{ allPaiements.data[this.$route.query.id].reference }}</small></h4>
        <table class="recap-table">
          <thead>
          <tr>
            <th>Référence</th>
            <th>Désignation</th>
            <th>Quantité</th>
            <th>Prix unitaire</th>
            <th>Prix total</th>
          </tr>
          </thead>
          <tbody>
          <tr v-for="cartItem in allPaiements.data[this.$route.query.id].data.cart.cart" :key="cartItem.product.id" class="tr-responsive">
            <td data-label="Référence">{{cartItem.product.data.titre1}}</td>
            <td data-label="Désignation">{{cartItem.product.name}}</td>
            <td data-label="Quantité">{{cartItem.quantity}}</td>
            <td data-label="Prix unitaire">{{cartItem.product.priceByQuant}} €</td>
            <td data-label="Prix total">{{cartItem.product.priceByQuant * cartItem.quantity}} €</td>
          </tr>

          <tr class="tr--b-top">
            <td colspan="4" class="text-right td-md"><strong>Sous-total HT :</strong></td>
            <td data-label="Sous-total HT">{{ allPaiements.data[this.$route.query.id].data.cart.totalHT }} €</td>
          </tr>

          <tr>
            <td colspan="4" class="text-right td-md"><strong>TVA {{ allPaiements.data[this.$route.query.id].data.cart.tauxTVA }}% :</strong></td>
            <td data-label="TVA 20%">{{ allPaiements.data[this.$route.query.id].data.cart.costTVA }} €</td>
          </tr>

          <tr>
            <td colspan="4" class="text-right td-md"><strong>Colissimo France :</strong></td>
            <td data-label="Colissimo France">{{ allPaiements.data[this.$route.query.id].data.cart.delivery.cost }} € TTC</td>
          </tr>

          <tr>
            <td colspan="4" class="text-right td-md"><strong>Total TTC :</strong></td>
            <td data-label="Total TTC"><strong>{{ allPaiements.data[this.$route.query.id].data.cart.totalTTC }} €</strong></td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</template>
<script>
const URL_API = process.env.VUE_APP_URL_DISTANT_API + "/api/";

export default {
  props: ["action", "clientStore"],
  data() {
    return {
      pending: false,
      allPaiements: null,
      idClient: this.clientStore.clientId,
      paiementDetailId: null
    };
  },
  created: function() {
    this.getClientPaiements();
  },
  methods: {
    getClientPaiements() {
      this.pending = true
      this.$axios.get(URL_API + "paiements/client/" + this.idClient).then(
        response => {
          this.allPaiements = response.data;
          this.pending = false;
          console.log("Paiements de l'utilisateur chargés")
        }
      ).catch(e => {
        this.pendind = false;
        console.log(e)
      })
    }
  }
};
</script>
